version 8.2
clear
set more off
set mem 50m
set matsize 800

capture mkdir "brazrloc/tex/v4/reg"
capture mkdir "brazrloc/tex/v4/natl/reg"


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(summ_dspl) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_dspl_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_comp_yreff) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_compno13) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_robst) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_xtiv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_trad) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_wrkf) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_rhir) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_m2rhr) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(ml_allsecyrfe) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(ml_dsplsecyrfe) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_nosecfe_fststg) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_fststg) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_nosecfe_iv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_iv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_logit) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_logit) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_robst_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_robst_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_robst_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_robst_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_frmlnlp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_frmlnlp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(comp_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(comp_natlsubs_yreff) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(main_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(main_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(logitplus_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(logitplus_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(eduprv_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(eduprv_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv1stsec_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv1stfrm_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(xtivreg_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(xtivreg_nointr_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
clear


* LOAD MATRICES *

foreach margin in dspl hire {
  foreach mat in allsec balrnk1 balrnk3 balrnk5 indexp timevar {
    matload summ_`margin'_`mat'_tbl, p(brazrloc/estmat/v4/reg/natl) over missing(.)
    }
  foreach type in b se e {
    drop _all
    matload subs_`margin'_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_`type' natlsubs_`margin'_`type'
    }
  foreach type in b se e r {
    drop _all
    matload subs`margin'_aer_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_intract_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosecfe_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosec13_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_iv1st_`type' natlsubs_`margin'_iv1st_`type'
    }
  }
foreach type in b se e r {
  matload subsrhir_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  matload subsm2rhr_ryr_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  }
foreach type in b se e {
  matload ml_xttrans_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  }


// RAIS NATIONAL SUMMARY STATISTICS

foreach margin in dspl hire {
  matorder summ_`margin'_allsec_tbl, m(summ_`margin'_allsec_tbl) over ifc(mean sd)
  matorder summ_`margin'_balrnk1_tbl, m(summ_`margin'_balrnk1_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk3_tbl, m(summ_`margin'_balrnk3_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk5_tbl, m(summ_`margin'_balrnk5_tbl) over ifc(mean)
  matorder summ_`margin'_indexp_tbl, m(summ_`margin'_indexp_tbl) over ifc(mean)
  mat summ_`margin'_tbl = summ_`margin'_allsec_tbl , summ_`margin'_balrnk5_tbl , summ_`margin'_indexp_tbl
  mat coleq summ_`margin'_tbl = allsec allsec balrnk5 indexp
  mat drop summ_`margin'_allsec_tbl summ_`margin'_balrnk1_tbl summ_`margin'_balrnk3_tbl summ_`margin'_balrnk5_tbl summ_`margin'_indexp_tbl
  est2tex summ_`margin', ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indprim plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb balarank indsmpl)
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifc(balrnk5_mean indexp_mean)
  }
mat summ_tbl = summ_dspl_tbl , summ_hire_tbl
mat drop summ_dspl_tbl summ_hire_tbl
mat coleq summ_tbl = dspl dspl hire hire
est2tex summ, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall extracols(2)

foreach margin in dspl hire {
  foreach var in plant_lnempl firm_lnlp {
    mat `var'_98_90 = J(1,4,.)
    mat colnames `var'_98_90 = mean_allsec sd_allsec mean_balarank5 mean_firm_indexp
    mat rownames `var'_98_90 = `var':1998_1990
    foreach col in mean_allsec mean_balarank5 mean_firm_indexp {
      mat `var'_98_90[1,colnumb(`var'_98_90,"`col'")] = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1998"),colnumb(summ_`margin'_timevar_tbl,"`col'")] / summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1990"),colnumb(summ_`margin'_timevar_tbl,"`col'")]
      }
    }
  mat summ_`margin'_timevar_tbl = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1990")..rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1998"),1...] \ plant_lnempl_98_90 \ summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1990")..rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1998"),1...] \ firm_lnlp_98_90
  mat drop plant_lnempl_98_90 firm_lnlp_98_90
  est2tex summ_`margin'_timevar, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  }


// RAIS NATIONAL TABLES FOR AER R&R

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_dspl_tbl

foreach type in b se e r {
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_hire_tbl

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_yrfe clogit_secyrfe clogit_secyrtrdfe xt_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe xtiv_yrfe xtiv_secfe xtiv_secyrtrdfe clogit_lnlp) over
  mat coleq aerrr_main_dspl_`type' = dspl
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_yrfe clogit_secyrfe clogit_secyrtrdfe xt_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe xtiv_yrfe xtiv_secfe xtiv_secyrtrdfe clogit_lnlp) over
  mat coleq aerrr_main_hire_`type' = hire
  }
est2one aerrr_main_dspl
est2one aerrr_main_hire
mat aerrr_main_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_main_tbl, m(aerrr_main_tbl) ifc(dspl:clogit_yrfe dspl:clogit_secyrfe dspl:xt_secyrfe hire:clogit_yrfe hire:clogit_secyrfe hire:xt_secyrfe) over
est2tex aerrr_main, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_robst_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_robst_tbl, m(aerrr_robst_tbl) ifc(dspl:clogit_lnlp dspl:xt_secyrtrdfe dspl:xtiv_secyrfe hire:clogit_lnlp hire:xt_secyrtrdfe hire:xtiv_secyrfe) over
est2tex aerrr_robst, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_xtiv_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_xtiv_tbl, m(aerrr_xtiv_tbl) ifc(dspl:xtiv_yrfe dspl:xtiv_secfe dspl:xtiv_secyrfe hire:xtiv_yrfe hire:xtiv_secfe hire:xtiv_secyrfe) over
est2tex aerrr_xtiv, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_intract_trad_dspl_`type') ifc(clogit_intract2 clogit_intract3)
  mat coleq aerrr_intract_trad_dspl_`type' = dspl dspl
  matorder subshire_aerrr_`type', m(aerrr_intract_trad_hire_`type') ifc(clogit_intract2 clogit_intract3)
  mat coleq aerrr_intract_trad_hire_`type' = hire hire
  mat aerrr_intract_trad_`type' = aerrr_intract_trad_dspl_`type', aerrr_intract_trad_hire_`type'
  mat drop aerrr_intract_trad_dspl_`type' aerrr_intract_trad_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_`type', m(aerrr_intract_trad_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_reffpen) over
  }
est2tex aerrr_intract_trad, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract_wrkf_dspl_`type') ifc(clogit_intract4 clogit_intract7)
  mat coleq aerrr_intract_wrkf_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract_wrkf_hire_`type') ifc(clogit_intract4 clogit_intract7)
  mat coleq aerrr_intract_wrkf_hire_`type' = hire hire
  mat aerrr_intract_wrkf_`type' = aerrr_intract_wrkf_dspl_`type', aerrr_intract_wrkf_hire_`type'
  mat drop aerrr_intract_wrkf_dspl_`type' aerrr_intract_wrkf_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_wrkf_`type', m(aerrr_intract_wrkf_`type') ifr(subs_tarfoutp_notindprim subs_tarfintm_notindprim subs_tarfoutp_indyoung subs_tarfintm_indyoung subs_tarfoutp_indwhite subs_tarfintm_indwhite subs_tarfoutp subs_tarfintm subs_reffpen) over
  }
est2tex aerrr_intract_wrkf, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsrhir_aerrr_`type', m(aerrr_rhir_`type') ifc(clogit_secyrfe_tsec1 clogit_secyrfe_tsec2 clogit_secyrfe_tsec3 clogit_secyrfe_tsec4 clogit_secyrfe_tsec5 clogit_secyrfe_tsec7)
  }
est2tex aerrr_rhir, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsm2rhr_ryr_aerrr_`type', m(aerrr_m2rhr_`type') ifc(xt_yrfe xt_secyrfe xt_secyrtrdfe xtiv_secyrfe)
  }
est2tex aerrr_m2rhr, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_allsecyrfe_`type') ifc(all_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1..`totrows',1] , ml_allsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_allsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_allsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_allsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_allsecyrfe_`type' = ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1] , ml_allsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_allsecyrfe_`type' = :
  mat colnames ml_allsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifc(samemanf othrmanf nonmanf failure)  // baseline: notdspl
  if "`type'"=="b" | "`type'"=="se"   matins ml_allsecyrfe_`type', m(ml_allsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indprim plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_allsecyrfe, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder ml_xttrans_`type', m(ml_dsplsecyrfe_`type') ifc(dspl_secyrfe)
  local totrows = rowsof(ml_xttrans_`type')/5
  if "`type'"=="b" | "`type'"=="se"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1..`totrows',1] , ml_dsplsecyrfe_`type'[`totrows'+1..2*`totrows',1] , ml_dsplsecyrfe_`type'[2*`totrows'+1..3*`totrows',1] , ml_dsplsecyrfe_`type'[3*`totrows'+1..4*`totrows',1] , ml_dsplsecyrfe_`type'[4*`totrows'+1..5*`totrows',1]
  if "`type'"=="e"  mat ml_dsplsecyrfe_`type' = ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1] , ml_dsplsecyrfe_`type'[1...,1]
  if "`type'"=="b" | "`type'"=="se"  mat roweq ml_dsplsecyrfe_`type' = :
  mat colnames ml_dsplsecyrfe_`type' = notdspl samemanf othrmanf nonmanf failure
  matorder ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifc(othrmanf nonmanf failure)  // baseline: samemanf
  if "`type'"=="b" | "`type'"=="se"  matins ml_dsplsecyrfe_`type', m(ml_dsplsecyrfe_`type') over ifr(subs_tarfoutp subs_tarfintm subs_balcadv firm_indexp subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf firm_indexp_tarf subs_fdiflw subs_reffpen subs_herfsale subs_indprown_pis occ_indoutsrc firm_lnlp plant_lnempl plant_indprim plant_indhigh plant_indcoll plant_indwhittot indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb)
  }
est2tex ml_dsplsecyrfe, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

